<mat-stepper [linear]="isLinear" #stepper>
    <mat-step [stepControl]="firstFormGroup" label="Ubique el Edificio">
        <form [formGroup]="FormGroupBusqueda">
            <!--<ng-template matStepLabel>Ubique el lugar para certificar</ng-template>-->
            <mat-drawer-container class="example-container" autosize>
                <mat-drawer id="drawer" #drawer position="end" mode="side">
                    <div class="d-flex flex-column px-3">
                        <div class="d-flex justify-content-end">
                            <button (click)="drawer.toggle()" mat-icon-button>
                            <mat-icon>arrow_forward</mat-icon>
                        </button>
                        </div>
                        <div class="my-2">
                            <b>Buscar</b>
                        </div>
                        <mat-form-field class="w-100" appearance="fill">
                            <mat-label>Distrito</mat-label>
                            <input formControlName="busdm" matInput />
                        </mat-form-field>
                        <mat-form-field class="w-100" appearance="fill">
                            <mat-label>UV</mat-label>
                            <input formControlName="busuv" matInput />
                        </mat-form-field>
                        <mat-form-field class="w-100" appearance="fill">
                            <mat-label>Manzana</mat-label>
                            <input formControlName="busmz" matInput />
                        </mat-form-field>
                        <mat-form-field class="w-100" appearance="fill">
                            <mat-label>Lote</mat-label>
                            <input formControlName="buslt" matInput />
                        </mat-form-field>
                        <div class="d-flex justify-content-between">
                            <button mat-button class="boton-buscar" (click)="buscarGeografico()">Buscar</button>
                            <button mat-button class="boton-limpiar" (click)="limpiarGeografico()">Limpiar</button>
                        </div>
                    </div>
                    <div class="d-flex flex-column px-3">
                        <div class="my-2">
                            <b>Buscar por coordenadas</b>
                        </div>
                        <mat-form-field class="w-100" appearance="fill">
                            <mat-label>X</mat-label>
                            <input formControlName="busx" matInput />
                        </mat-form-field>
                        <mat-form-field class="w-100" appearance="fill">
                            <mat-label>Y</mat-label>
                            <input formControlName="busy" matInput />
                        </mat-form-field>
                        <div class="d-flex justify-content-between">
                            <button mat-button class="boton-buscar" (click)="buscarCoordenada()">Buscar</button>
                            <button mat-button class="boton-limpiar" (click)="limpiarCoordenada()">Limpiar</button>
                        </div>
                    </div>
                </mat-drawer>
                <div id="map" name="map" style="height: 430px" leaflet (leafletMapReady)="onMapReady($event)" (leafletClick)="agregarMarcadorUrbanizacion($event)" [leafletOptions]="options"></div>
            </mat-drawer-container>
            <button (click)="drawer.toggle()" id="sidebar" class="d-none"></button>

            <div>
                <br />
                <div class="w-100 d-flex">
                    <button mat-button matStepperNext class="ml-auto" style="margin-left: auto">
                      Siguiente
                    </button>
                </div>
            </div>
        </form>
    </mat-step>
    <mat-step [stepControl]="secondFormGroup" label="Datos de la Urbanización">
        <div class="mt-4 rounded border border-2 w-100 p-4 mt-4">
            <form [formGroup]="miFormulario_Construccion">                
                <div class="row">
                    <div class="col-md-8">
                        <input type="file" class="form-control"
                             (change)="cargarExcel($event)"
                             placeholder="Cargar plantilla excel"
                              accept=".csv,application/vnd.openxmlformats-officedocument.spreadsheetml.sheet, application/vnd.ms-excel">
                    </div>
                    <div class="col-md-3">
                        <button mat-button color="primary" (click)="registrarProrrateo()">
                            REGISTRAR PRORRATEO
                        </button>
                    </div>                    
                </div>

                <div class="text-center" *ngIf="cargando">
                    <div class="spinner-border" style="width: 3rem; height: 3rem;" role="status">
                        <span class="sr-only">Cargando...</span>
                    </div>
                </div>               

                <div >
                    <div class="row mt-3">
                        <div class="col-md-4">
                            <mat-label><b>Nombre : </b></mat-label>
                            <mat-label>{{encabezado.nombre}}</mat-label>
                        </div>
                        <div class="col-md-2">
                            <mat-label><b>Uv: </b></mat-label>
                            <mat-label>{{encabezado.uv}}</mat-label>
                        </div>
                        <div class="col-md-2">
                            <mat-label><b>Sup. Total : </b></mat-label>
                            <mat-label>{{encabezado.superficie_total}}</mat-label>
                        </div>
                        <div class="col-md-2">
                            <mat-label><b>Sup. Util : </b></mat-label>
                            <mat-label>{{encabezado.superficie_util}}</mat-label>
                        </div>                      
                    </div>
                    <div class="row mt-3">
                        <div class="col-md-2">
                            <mat-label><b>Sup. Vías Internas : </b></mat-label>
                            <mat-label>{{encabezado.superficie_vias_internas}}</mat-label>
                        </div>
                        <div class="col-md-2">
                            <mat-label><b>Sup. Areas Verdes : </b></mat-label>
                            <mat-label>{{encabezado.superficie_areas_verdes}}</mat-label>
                        </div>
                        <div class="col-md-2">
                            <mat-label><b>Sup. Areas Comunes : </b></mat-label>
                            <mat-label>{{encabezado.superficie_areas_comunes}}</mat-label>
                        </div>                     
                    </div>
                    <div class="row mt-3">
                        <div class="col-md-12">
                            <mat-label><b>Nota : </b></mat-label>
                            <mat-label>{{encabezado.nota}}</mat-label>
                        </div>
                    </div>
                </div>
                
                <table class="table mt-3">
                    <thead class="thead-dark">
                        <tr>
                            <th scope="col">ITEM</th>
                            <th scope="col">Manzana</th>
                            <th scope="col">Lote Nro.</th>
                            <th scope="col">Area Util m2</th>
                            <th scope="col">Area Común porc</th>
                            <th scope="col">Area Común m2</th>
                            <th scope="col">Lote ideal m2</th>
                            
                        </tr>
                    </thead>
                    <tbody>
                        <tr *ngFor="let item of detalles; let i=index">
                            <th scope=" row ">{{i+1}}</th>
                            <td>{{item.manzana}}</td>
                            <td>{{item.lote}}</td>
                            <td>{{item.area_util_m2 }}</td>
                            <td>{{item.area_comun_porc}}</td>
                            <td>{{item.area_comun_m2 }} </td>
                            <td>{{item.lote_ideal_m2}}</td>
                           
                        </tr>
                    </tbody>
                </table>
               

                <div class="w-100 d-flex justify-content-between">
                    <button mat-button matStepperPrevious>Anterior</button>
                    <button mat-button matStepperNext>Siguiente</button>
                </div>
            </form>
        </div>
    </mat-step>

    <!--
    <mat-step>
        <ng-template matStepLabel>Pago del trámite</ng-template>

        <div class="d-flex justify-content-center w-100">
            <div class="d-flex align-items-center w-75 flex-column justify-content-center">
                <div class="w-40 more-rounded verde">
                    <div class="w-100 d-flex justify-content-center align-items-center flex-column p-5">
                        <div class="my-3 pb-3 text-xl"><img class="w-100" src="./assets/QR/lgamscr.png" alt="" /></div>
                        <img class="w-100" src="https://upload.wikimedia.org/wikipedia/commons/d/d7/Commons_QR_code.png" alt="" />
                    </div>
                    <div class="w-100 py-5 px-3 text-center font-bold azul-front gris text-xl">
                        Escanea. Paga. Y listo.
                    </div>
                </div>
                <div class="w-50 gris">&nbsp;</div>
            </div>
        </div>

       

        <div class="d-flex justify-content-between">
            <button mat-button matStepperPrevious>Back</button>
            <button mat-button (click)="stepper.reset()">Reset</button>
        </div>
    </mat-step> -->
</mat-stepper>

<!--</div>-->